## goodix-fingerprint 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(goodix)

include(GNUInstallDirs)

add_subdirectory("misc")
add_subdirectory("src")

=== misc/CMakeLists.txt ===
install(
  FILES org.deepin.Authenticate.Fingerprint.Goodix.conf
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system.d/
)

install(
  FILES org.deepin.Authenticate.Fingerprint.Goodix.service
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system-services/
)

install(
  FILES goodix-driver.json
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/deepin-authentication/interfaces/
)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core DBus REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_search_module(Goodix REQUIRED IMPORTED_TARGET goodix)

qt5_add_dbus_adaptor(DBUS_ADAPTER ../misc/org.deepin.Authenticate.Fingerprint.Goodix.xml impl/adaptor.h Adaptor)

set(
  SRCS
  main.cpp
  impl/adaptor.h
  impl/adaptor.cpp
)

add_executable(${PROJECT_NAME} ${SRCS} ${DBUS_ADAPTER})
target_link_libraries(
  ${PROJECT_NAME} PRIVATE
  Qt5::Core
  Qt5::DBus
  PkgConfig::Goodix
  stdc++fs
)

install(
  TARGETS ${PROJECT_NAME}
  DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/deepin/fingerprint/
)

=== debian/changelog ===
goodix-fingerprint (1.0.1-1) unstable; urgency=medium

  * update

 -- zhangdingyuan <zhangdingyuan@uniontech.com>  Mon, 07 Nov 2022 14:12:24 +0800

goodix-fingerprint (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <lxz@lxz-PC>  Wed, 11 May 2022 10:21:37 +0800

=== debian/control ===
Source: goodix-fingerprint
Section: non-free
Priority: optional
Maintainer: zhangdingyuan <zhangdingyuan@uniontech.com>
Build-Depends: debhelper (>= 11),
  goodix-fingerprint-drivers,
  cmake,
  qt5-default,
  qtbase5-dev,
  pkg-config
Standards-Version: 1.0.0
Homepage: https://www.goodix.com/ 

Package: goodix-fingerprint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 goodix-fingerprint-drivers
Description: Goodix - Enrich Your Life Through Innovation
 Goodix Technology is an integrated chip design; software solution provider dedicated to deliver leading biometrics and human-interface solutions for smart mobile terminals.

=== debian/rules ===
#!/usr/bin/make -f
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@
